Skip to main content
GET
/
admin
/
stock-locations
/
{id}
JS SDK
import Medusa from "@medusajs/js-sdk"

export const sdk = new Medusa({
  baseUrl: import.meta.env.VITE_BACKEND_URL || "/",
  debug: import.meta.env.DEV,
  auth: {
    type: "session",
  },
})

sdk.admin.stockLocation.retrieve("sloc_123")
.then(({ stock_location }) => {
  console.log(stock_location)
})
{ "stock_location": { "id": "<string>", "name": "<string>", "address_id": "<string>", "address": { "id": "<string>", "address_1": "<string>", "address_2": "<string>", "company": "<string>", "country_code": "us", "city": "<string>", "phone": "<string>", "postal_code": "<string>", "province": "us-ca" }, "sales_channels": [ { "id": "<string>", "name": "<string>", "description": "<string>", "is_disabled": true, "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "fulfillment_providers": [ { "id": "<string>", "is_enabled": true } ], "fulfillment_sets": [ {} ] } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The stock location's ID.

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response

OK

The stock location's details.

stock_location
object
required

The stock location's details.